package com.qmth.teachcloud.common.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.annotation.DBVerify;
import com.qmth.teachcloud.common.enums.userPush.SpecialPrivilegeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 用户同步参数对象
 * @Author: CaoZixuan
 * @Date: 2021-10-27
 */
public class UserPushParam {
    @ApiModelProperty(value = "系统用户id")
    @DBVerify(value = "系统用户id",required = true)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "关联名称（唯一标识）")
    @DBVerify(value = "关联名称（唯一标识）",required = true)
    private String account;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "特殊角色权限")
    @DBVerify(value = "特殊角色权限",required = true)
    private SpecialPrivilegeEnum role;

    @ApiModelProperty(value = "是否启用")
    private Boolean enable;

    @ApiModelProperty(value = "科组长关联科目，科目代码用,分割，例如ASC,WED")
    private String subjectCodes;

    @ApiModelProperty(value = "学校id")
    @DBVerify(value = "学校id",required = true)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    public UserPushParam() {
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public SpecialPrivilegeEnum getRole() {
        return role;
    }

    public void setRole(SpecialPrivilegeEnum role) {
        this.role = role;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getSubjectCodes() {
        return subjectCodes;
    }

    public void setSubjectCodes(String subjectCodes) {
        this.subjectCodes = subjectCodes;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }
}
